Bug 1367263 - SRIOV- PFs aren't showing up as available
Summary: SRIOV- PFs aren't showing up as available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: async
: 10.0 (Newton)
Assignee: Vladik Romanovsky
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks: 1325686
TreeView+ depends on / blocked
 
Reported: 2016-08-16 05:44 UTC by Eran Kuris
Modified: 2019-09-09 16:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-19 11:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
pf sriov (5.10 KB, text/plain)
2016-08-16 05:44 UTC, Eran Kuris
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1613434 None None None 2016-08-16 12:36:30 UTC
Launchpad 1613610 None None None 2016-08-18 12:51:19 UTC

Description Eran Kuris 2016-08-16 05:44:45 UTC
Created attachment 1191078 [details]
pf sriov

Description of problem:
PFs aren't showing up as available making it not possible to boot vms with PFs
When I am trying to boot VM with Neutron port with vnic type - direct - physical there is an error.
attached the error. 
The ENV is SRIOV  1 compute  & 1 controller 
            

Version-Release number of selected component (if applicable):
python-nova-14.0.0-0.20160726054215.02421fc.el7ost.noarch
python-novaclient-5.0.1-0.20160724130722.6b11a1c.el7ost.noarch
openstack-nova-compute-14.0.0-0.20160726054215.02421fc.el7ost.noarch
openstack-nova-common-14.0.0-0.20160726054215.02421fc.el7ost.noarch
python-neutron-lib-0.2.1-0.20160726025313.405f896.el7ost.noarch
openstack-neutron-9.0.0-0.20160726001729.6a23add.el7ost.noarch
openstack-neutron-sriov-nic-agent-9.0.0-0.20160726001729.6a23add.el7ost.noarch
python-neutron-9.0.0-0.20160726001729.6a23add.el7ost.noarch
openstack-neutron-openvswitch-9.0.0-0.20160726001729.6a23add.el7ost.noarch
openstack-neutron-common-9.0.0-0.20160726001729.6a23add.el7ost.noarch
python-neutronclient-4.2.1-0.20160721230146.3b1c538.el7ost.noarch


How reproducible:
always

Steps to Reproduce:
1.Deploy SRIOV ENV 
2.Config the ENV to work with PF  (no VFS configured )
3.Create neutron port  vnic type= direct physical
4.boot vm with neutrn port that created 


Actual results:
VM is in ERROR state 

Expected results:
VM should boot as active 

Additional info:

Comment 2 Vladik Romanovsky 2016-08-19 13:24:18 UTC
Eran,

Is it a bug that Brent and me helped debug recently?
If yes, It seemed to me that we were able to allocate PFs and boot a vm.
Is there anything else needed here besides the documentation or can this bug be closed?

Thanks,
Vladik

Comment 3 Eran Kuris 2016-08-21 11:55:30 UTC
Yes this is the same issue. but after  I tried to set again the ENV we could not allocate PF and  boot vm. so we need explaination what sould we need to config so we can work with PF. Also there is RFE https://bugzilla.redhat.com/show_bug.cgi?id=1233921 
so I need to verify that the ENV can handke with dynamic switch.  One ime boot vm to VF  and one time to PF .You can see mail that Brent sent you so we can document all the info .

Comment 4 Brent Eagles 2016-08-24 19:22:49 UTC
If I have the proper context, this issue was that devname doesn't seem to work  for whitelisting PFs.

Comment 5 Assaf Muller 2016-08-29 20:23:48 UTC
After a conversation with Brent it seems like we need someone to verify that documentation wise we're not recommending folks to use the 'devname' configuration key when trying to use SRIOV-PF.

Comment 6 Eoghan Glynn 2016-10-14 17:02:01 UTC
Valid to backport https://review.openstack.org/#/c/363884/ when it lands upstream.


Note You need to log in before you can comment on or make changes to this bug.